# This file/defun(AM_PATH_AUTOUNIT) is in the public domain.
# Written by James LewisMoss <dres@debian.org> in March 2002.

AC_DEFUN(AM_PATH_AUTOUNIT,
[dnl

  AC_CHECK_PROGS(PKG_CONFIG, pkg-config, no)

  if test "x$PKG_CONFIG" != "xno" ; then
    AUTOUNIT_CFLAGS=`$PKG_CONFIG --cflags autounit`
    AUTOUNIT_LIBS=`$PKG_CONFIG --libs autounit`
  else
    AUTOUNIT_CFLAGS="-I/usr/include/autounit -O2 -march=i686 -I/usr/include/glib-1.2 -I/usr/lib/glib/include -Wall"
    AUTOUNIT_LIBS="-lau-c-unit  -L/usr/lib -lglib"
  fi

  HAVE_AUTOUNIT="false"

  saved_CPPFLAGS="$CPPFLAGS"
  CPPFLAGS="$CPPFLAGS $AUTOUNIT_CFLAGS"
  AC_CHECK_HEADER(autounit.h, [dnl
    AC_CHECK_LIB(au-c-unit, au_new_test, [dnl
      AC_SUBST(AUTOUNIT_LIBS)dnl
      AC_SUBST(AUTOUNIT_CFLAGS)dnl
      HAVE_AUTOUNIT="true"
    ], [dnl
      AC_MSG_WARN(Autounit not found)dnl
    ], $AUTOUNIT_LIBS)dnl
  ])dnl
  CPPFLAGS="$saved_CPPFLAGS"

  AC_DEFINE(HAVE_AUTOUNIT)dnl
  AM_CONDITIONAL(HAVE_AUTOUNIT, test x$HAVE_AUTOUNIT = xtrue)dnl

])dnl
